## tde-ebook-reader 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )
set( PACKAGE_VERSION 0.99.4 )


#### general package setup

project( tde-ebook-reader )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### get the system's default path for libraries

tde_save_and_set( CMAKE_INSTALL_PREFIX "/usr" )
include( GNUInstallDirs OPTIONAL )
if( CMAKE_INSTALL_LIBDIR )
  set( SYSTEM_LIBDIR "${CMAKE_INSTALL_LIBDIR}" )
else( )
  set( SYSTEM_LIBDIR "lib${LIB_SUFFIX}" )
endif( )
tde_restore( CMAKE_INSTALL_PREFIX )


##### zlibrary-tqt paths

_tde_internal_setup_path(
  CMAKE_ZLIBRARY_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}"
  "Base directory for zlibrary-tqt files"
)

_tde_internal_setup_path(
  ZL_SHARE_INSTALL_PREFIX "${CMAKE_ZLIBRARY_INSTALL_PREFIX}/share/zlibrary-tqt"
  "Base directory for zlibrary-tqt files which go to share"
)

_tde_internal_setup_path(
  ZL_INCLUDE_INSTALL_DIR "${CMAKE_ZLIBRARY_INSTALL_PREFIX}/include/zlibrary-tqt"
  "The subdirectory to the header prefix"
)

_tde_internal_setup_path(
  ZL_LIB_INSTALL_DIR "${CMAKE_ZLIBRARY_INSTALL_PREFIX}/${SYSTEM_LIBDIR}"
  "Base directory for zlibrary-tqt lib files"
)


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )

option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"           ON           )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( zlibrary )
add_subdirectory( reader )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== reader/CMakeLists.txt ===
add_subdirectory( data )
add_subdirectory( desktop )
add_subdirectory( src )

## tde-ebook-reader 14.1.3

=== debian/changelog ===
tde-ebook-reader (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tde-ebook-reader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 13 Oct 2024 14:54:28 +0200

tde-ebook-reader (0.99.6-debian) testing; urgency=low

  * Ported to TQt3 and package renaming

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Sat, 11 May 2024 23:04:00 +0900

fbreader (0.99.4+dfsg-6) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.2.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Replaced obsolete pkg-config build dependency with pkgconf.
  * Corrected shared library SO version in lintian overrides.
  * Added 1014-desktop-mime-type.patch to announce MIME type support in
    XDG desktop (Closes: #601609, #601605, #813768).
  * Bump debhelper from deprecated 9 to 12 and use debhelper-compat version
    in Build-Depends.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 May 2024 13:19:06 +0200

fbreader (0.99.4+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 29 Feb 2024 02:32:43 +0000

fbreader (0.99.4+dfsg-5) unstable; urgency=medium

  * QA upload.
  * Prevent installing .so link in non-dev library pkgs.
  * Fix Breaks/Replaces.
  * Drop old NEWS.
  * Drop non-functional debian/watch.

 -- Bastian Germann <bage@debian.org>  Thu, 07 Sep 2023 15:41:50 +0000

fbreader (0.99.4+dfsg-4) unstable; urgency=medium

  * QA upload.
  * Install liblzui in fbreader.

 -- Bastian Germann <bage@debian.org>  Tue, 05 Sep 2023 10:24:23 +0000

fbreader (0.99.4+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Prevent the same files in two different packages.
  * Drop libzlui-qt and itegrate its contents into fbreader.

 -- Bastian Germann <bage@debian.org>  Tue, 05 Sep 2023 00:39:53 +0200

fbreader (0.99.4+dfsg-2) experimental; urgency=medium

  * QA upload.
  * fbreader: Fix Depends on libzlui-qt instead of dropped -qt4.

 -- Bastian Germann <bage@debian.org>  Mon, 04 Sep 2023 20:05:08 +0200

fbreader (0.99.4+dfsg-1) experimental; urgency=medium

  * QA upload.
  * Drop unneeded quilt Build-Dependency.
  * Update to new upstream version. (Closes: #765039)
  * Build with Qt5 patch. (Closes: #967336)

 -- Bastian Germann <bage@debian.org>  Sat, 02 Sep 2023 11:40:44 +0000

fbreader (0.12.10dfsg2-6) unstable; urgency=low

  * QA upload.
  * Fix FTBFS with GCC-11 (Closes: #984121)
    - Add debian/patches/0014-fix-ftbfs-gcc11.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 12 Jan 2022 23:06:22 +0800

fbreader (0.12.10dfsg2-5) unstable; urgency=medium

  * QA upload.
  * Orphan package.
  * debian/source/format: Convert to "3.0 (quilt)" source package.
  * debian/control: Replace transitional package ttf-unifont with
    fonts-unifont.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 Aug 2021 23:14:08 -0400

fbreader (0.12.10dfsg2-4) unstable; urgency=medium

  * debian/control:
    - Drop Qt4 UI (libzlui-qt4), as Qt4 is going away. (Closes: #874867)
  * debian/patches:
    - New patch 0013-fbreader-Makefile-make-linking-order-reproducible, by
      Chris Lamb. (Closes: 861770)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 01 Sep 2019 10:59:46 +0200

fbreader (0.12.10dfsg2-3) unstable; urgency=medium

  * debian/patches:
    - New patch 0011-zlibrary-unix-curl-avoid-duplicate-case-in-a-switch.
      Fixes building with curl 7.62.0. Thanks to Adrian Bunk for the report
      and the libcurl API change hint. (Closes: #913382)
    - New patch 0012-makefiles-use-externally-passed-PKG_CONFIG-if-availa by
      Helmut Grohne.
  * debian/rules:
    - Enable cross-architecture building. Patch by Helmut Grohne.
      (Closes: #861422)
  * debian/control:
    - Updated Standards-Version to 4.2.1, no changes needed.
    - Added Recommends on sensible-utils (as suggested by lintian).
  * debian/source/format:
    - Created (with '1.0' inside).
  * debian/libzlcore-data.lintian-overrides:
    - Removed a false positive override introduced in 0.12.10dfsg2-1,
      apparently fixed in lintian since.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 09 Dec 2018 18:21:31 +0100

fbreader (0.12.10dfsg2-2) unstable; urgency=medium

  * debian/patches:
    - New patch booksdb-avoid-converting-boolean-to-shared_ptr.patch. Fixes
      building with GCC6. Patch by Robert Bihlmeyer. (Closes: #811676)
  * debian/copyright:
    - Updated my e-mail address.
    - Removed obsolete statements for DocBook/XHTML entity files removed in
      the previous upload. (Closes: #824393)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 24 Jul 2016 13:40:32 +0200

fbreader (0.12.10dfsg2-1) unstable; urgency=medium

  * debian/dfsg-repack:
    - Also remove docbook- and XHTML entity files. (Closes: #807074)
  * debian/patches:
    - New patch fbreader-Makefile-do-not-try-to-install-empty-format.patch, so
      upstream Makefile doesn't install unexisting XHTML entity files.
  * debian/control:
    - Updated Standards-Version to 3.9.6, no changes needed.
    - Bumped debhelper build-dependency to >= 9.
  * debian/rules:
    - Modernized using dh overrides.
  * debian/menu:
    - Removed as suggested by lintian, since a .desktop-file is present.
  * debian/libzlcore-data.lintian-overrides:
    - Added to override a false positive about reproducibility of
      usr/share/zlibrary/unicode.xml.gz.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 21 Feb 2016 10:46:49 +0100

fbreader (0.12.10dfsg-10) unstable; urgency=low

  * NMU acknowledged - thanks, Ondřej!
  * debian/control:
    - Bump ABI parts of libzlcore and libzltext package names for GCC5 C++11
      ABI transition. For historical reasons these package name parts were


=== debian/control ===
Source: tde-ebook-reader
Section: text
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqtinterface-dev,
               libbz2-dev, libexpat1-dev, libfribidi-dev,
               libsqlite3-dev, libunibreak-dev, libz-dev, pkgconf
Standards-Version: 4.7.0

Package: tde-ebook-reader
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sensible-utils,
Description: e-book reader for TDE
 tde-ebook-reader is an e-book reader for TDE.
 .
 Main features:
  * supports several open e-book formats: fb2, html, chm, plucker,
    palmdoc, ztxt, tcr (psion text), rtf, oeb, openreader, non-DRM'ed
    mobipocket, plain text, epub, eReader
  * reads directly from tar, zip, gzip, bzip2 archives (you can have
    several books in one archive)
  * supports a structured view of your e-book collection
  * automatically determines encodings
  * automatically generates a table of contents
  * keeps the last open book and the last read positions for all open books
    between runs
  * automatic hyphenation (patterns for several languages are included)
  * searching and downloading books from www.feedbooks.com and www.litres.ru
  * partial CSS support for epub files

Package: libzlcore-tqt
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libzlcore-data-tqt
Description: ZLibrary TQt3-based development library (shared library)
 This is the core of ZLibrary, the library that tde-ebook-reader is based on.

Package: libzlcore-data-tqt
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: ZLibrary TQt3-based development library (support files)
 This package contains the support files for the core of ZLibrary, the library
 that the fbreader e-book reader is based on.

Package: libzltext-tqt
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libzlcore-tqt, libzltext-data-tqt
Description: ZLibrary TQt3-based text model/viewer part (shared library)
 This package provides text model/viewer part of ZLibrary.

Package: libzltext-data-tqt
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: ZLibrary TQt3-based text model/viewer part (support files)
 This package contains the support files for the text model/viewer part
 of ZLibrary.

Package: libzlcore-tqt-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libzlcore-tqt
Description: ZLibrary TQt3-based development library (development files)
 This package contains development files for the ZLibrary core.

Package: libzltext-tqt-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libzltext-tqt
Description: ZLibrary TQt3-based text model/viewer part (development files)
 This package contains development files for the ZLibrary text model/viewer
 library.

## tde-ebook-reader 14.1.4

=== debian/changelog ===
tde-ebook-reader (4:14.1.4-0raspbian11.0.0+0) raspbian-bullseye; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tde-ebook-reader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCMAKE_ZLIBRARY_INSTALL_PREFIX="/usr" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

## tde-ebook-reader 14.1.5~pre0

=== debian/changelog ===
tde-ebook-reader (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 4b57a188fbd4ac2439f2a141475222c8d68d67ea
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-ebook-reader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-ebook-reader 14.1.5

=== debian/changelog ===
tde-ebook-reader (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-ebook-reader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-ebook-reader 14.1.6~pre0

=== debian/changelog ===
tde-ebook-reader (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 4b57a188fbd4ac2439f2a141475222c8d68d67ea
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-ebook-reader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-ebook-reader 14.1.6~pre1

=== debian/changelog ===
tde-ebook-reader (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for befdb8d538d660fcdcbedddbdbfa93fccde20b62
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-ebook-reader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:55:01 +0100

## tde-ebook-reader 14.2.0~pre28

=== debian/changelog ===
tde-ebook-reader (4:14.2.0~pre28-0debian14.0.0+7~a) forky; urgency=low

  * Automated git build for 88d74dedf45e6f7f2d20b60930fbc1353d60d94c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-ebook-reader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqtinterface-dev,
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqt3-mt-dev,
                libbz2-dev, libexpat1-dev, libfribidi-dev,
                libsqlite3-dev, libunibreak-dev, libz-dev, pkgconf
 Standards-Version: 4.7.0

## tde-ebook-reader 14.2.0~pre29

=== debian/changelog ===
tde-ebook-reader (4:14.2.0~pre29-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 1ee363806896d58a6c31425315bad3196298bcff
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-ebook-reader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:02:38 +0100
